/**
 * Program PhidgetInfo.java
 * 
 * Date         Version    Author         Comment
 * 2008/03/24   1.0.0      T.Kawashima    First.
 * 
 */

package robomin.sensor;

/**
 * PhidgetZT[̐ڑۑNX
 * @author T.Kawashima
 * @version 1.0.0
 */
public class PhidgetInfo {
	private int sensorDest = 0;
	private int serialNum = 0;
	private String ipAddr = "";
	private int portNum = 0;
	private String passwd = "";
	private int joyXIO = -1;
	private int joyYIO = -1;
	private int sliderIO = -1;
	private int[] sValues;
	
	/**
	 * RXgN^
	 * @param sensorDest ڑ (LOCALAREMOTE)
	 */
	public PhidgetInfo(int sensorDest) {
		this.sensorDest = sensorDest;
		sValues = new int[PhidgetDef.IOPORT_MAX+1];
	}
	
	/**
	 * RXgN^
	 * @param sensorDest ڑ (LOCALAREMOTE)
	 * @param serialNum VAio[
	 */
	public PhidgetInfo(int sensorDest, int serialNum) {
		this(sensorDest);
		this.serialNum = serialNum;
	}
	
	/**
	 * RXgN^
	 * @param sensorDest ڑ (LOCALAREMOTE)
	 * @param serialNum VAio[
	 * @param ipAddr IPAhX
	 * @param portNum |[gԍ
	 * @param passwd pX[h
	 */
	public PhidgetInfo(int sensorDest, int serialNum, String ipAddr, int portNum, String passwd) {
		this(sensorDest, serialNum);
		this.ipAddr = ipAddr;
		this.portNum = portNum;
		this.passwd = passwd;
	}
	
	/**
	 * ڑ(LOCAL,REMOTE)Ԃ
	 * @return ڑ
	 */
	public int getSensorDest() {
		return this.sensorDest;
	}
	
	/**
	 * VAio[Ԃ
	 * @return VAio[
	 */
	public int getSerialNum() {
		return this.serialNum;
	}
	
	/**
	 * IPAhXԂ
	 * @return IPAhX
	 */
	public String getIpAddr() {
		return this.ipAddr;
	}
	
	/**
	 * |[gԍԂ
	 * @return |[gԍ
	 */
	public int getPortNum() {
		return this.portNum;
	}
	
	/**
	 * pX[hԂ
	 * @return pX[h
	 */
	public String getPasswd() {
		return this.passwd;
	}
	
	/**
	 * ZT[lۑ
	 * @param IO ZT[IO|[g
	 * @param sValue ZT[̒l
	 */
	public void saveSValue(int IO, int sValue) {
		if (sliderIO >= PhidgetDef.IOPORT_MIN && sliderIO <= PhidgetDef.IOPORT_MAX) {
			sValues[IO] = sValue;
		}
	}
	
	/**
	 * ZT[̒lԂ
	 * @param IO ZT[IO|[g
	 * @return IO|[g̃ZT[l
	 */
	public int getSValue(int IO) {
		if (sliderIO >= PhidgetDef.IOPORT_MIN && sliderIO <= PhidgetDef.IOPORT_MAX) {
			return sValues[IO];
		}
		
		return 0;
	}
	
	/**
	 * WCXeBbNXIO|[gZbg
	 * @param joyXIO IO|[g
	 */
	public void setJoyXIO(int joyXIO) {
		if (sliderIO >= PhidgetDef.IOPORT_MIN && sliderIO <= PhidgetDef.IOPORT_MAX) {
			this.joyXIO = joyXIO;
		}
	}
	
	/**
	 * WCXeBbNXIO|[gԂ
	 * @return IO|[g
	 */
	public int getJoyXIO() {
		return this.joyXIO;
	}
	
	/**
	 * WCXeBbNYIO|[gZbg
	 * @param joyYIO IO|[g
	 */
	public void setJoyYIO(int joyYIO) {
		if (sliderIO >= PhidgetDef.IOPORT_MIN && sliderIO <= PhidgetDef.IOPORT_MAX) {
			this.joyYIO = joyYIO;
		}
	}
	
	/**
	 * WCXeBbNYIO|[gԂ
	 * @return IO|[g
	 */
	public int getJoyYIO() {
		return this.joyYIO;
	}
	
	/**
	 * XC_[IO|[gZbg
	 * @param sliderIO IO|[g
	 */
	public void setSliderIO(int sliderIO) {
		if (sliderIO >= PhidgetDef.IOPORT_MIN && sliderIO <= PhidgetDef.IOPORT_MAX) {
			this.sliderIO = sliderIO;
		}
	}
	
	/**
	 * XC_[IO|[gԂ
	 * @return IO|[g
	 */
	public int getSliderIO() {
		return this.sliderIO;
	}
}
